package com.bonus.common.houqin.mq.tx;

import org.springframework.core.MethodParameter;

import java.lang.reflect.Type;

public class GenericTypeHolder {
   private Type messageType;
   private MethodParameter methodParameter;

   public GenericTypeHolder(final Type messageType, final MethodParameter methodParameter) {
      this.messageType = messageType;
      this.methodParameter = methodParameter;
   }

   public Type getMessageType() {
      return this.messageType;
   }

   public MethodParameter getMethodParameter() {
      return this.methodParameter;
   }
}
